Bug 1026343 - Kernel oops while booting [NEEDINFO]
Kernel oops while booting
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-04 08:32 EST by Jean-Pierre André
Modified: 2014-03-10 10:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-10 10:44:11 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jforbes: needinfo?


Attachments (Terms of Use)

  None (edit)
Description Jean-Pierre André 2013-11-04 08:32:57 EST
Description of problem:

The kernel sometimes oopses in the initial steps of booting

Version-Release number of selected component (if applicable):

Last seen with kernel 3.10.4-300.fc19.x86_64

How reproducible:

Happens irregularly (say once in ten boots). It did not happen with Fedora 15 (kernel reported as 2.6.40), but has happened with earlier kernels. It happens again with Fedora 19 with no hardware changes (as Fedora 16 to Fedora 18 were never installed, I cannot tell when the bug came back). No similar behavior have ever been seen on Windows XP (dual boot).

Steps to Reproduce:
1. Boot normally (e.g. from power off)
2.
3.

Actual results:

Booting starts normally, but stops soon. Just wait two minutes and it proceeds as expected.

Expected results:

Should not have to wait two minutes for booting to restart.

Additional info:

There appears to be nothing useful in /var/tmp/abrt
A backtrace is found in dmesg (the full dmesg has been saved for any needs).

[    0.548455] usbcore: registered new interface driver usbserial
[    0.548463] usbcore: registered new interface driver usbserial_generic
[    0.548473] usbserial: USB Serial support registered for generic
[    0.548518] i8042: PNP: No PS/2 controller found. Probing ports directly.
[    0.550018] ------------[ cut here ]------------
[    0.550018] WARNING: at kernel/watchdog.c:272 watchdog_overflow_callback+0x9c/0xd0()
[    0.550036] ------------[ cut here ]------------
[    0.550036] WARNING: at kernel/watchdog.c:272 watchdog_overflow_callback+0x9c/0xd0()
[    0.550036] Watchdog detected hard LOCKUP on cpu 0
[    0.550036] Modules linked in:
[    0.550036] CPU: 0 PID: 0 Comm: swapper/0 Not tainted 3.10.4-300.fc19.x86_64 #1
[    0.550036] Hardware name: Dell Inc Dimension E521/0CT103, BIOS 1.0.3  10/02/2006
[    0.550036]  0000000000000009 ffff88007bc06c70 ffffffff81643306
[    0.550018] Watchdog detected hard LOCKUP on cpu 1
[    0.550018] Modules linked in:
[    0.550018] CPU: 1 PID: 1 Comm: swapper/0 Not tainted 3.10.4-300.fc19.x86_64 #1
[    0.550036]  ffff88007bc06ca8
[    0.550018] Hardware name: Dell Inc Dimension E521/0CT103, BIOS 1.0.3  10/02/2006
[    0.550036]  ffffffff8105c211 ffff88007900e000 0000000000000000 ffff88007bc06dc0
[    0.550018]  0000000000000009
[    0.550018]  ffff88007bd06c70
[    0.550018]  ffffffff81643306
[    0.550018]  ffff88007bd06ca8
[    0.550018]  ffffffff8105c211
[    0.550018]  ffff880078044000
[    0.550018]  0000000000000000
[    0.550018]  ffff88007bd06dc0
[    0.550018]  0000000000000000
[    0.550018]  ffff88007bd06ef8
[    0.550018]  ffff88007bd06d08
[    0.550018]  ffffffff8105c27c
[    0.550018] Call Trace:
[    0.550018]  <NMI>
[    0.550018]  [<ffffffff81643306>] dump_stack+0x19/0x1b
[    0.550018]  [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
[    0.550018]  [<ffffffff8105c27c>] warn_slowpath_fmt+0x4c/0x50
[    0.550018]  [<ffffffff810e8200>] ? watchdog_enable+0x1e0/0x1e0
[    0.550018]  [<ffffffff810e829c>] watchdog_overflow_callback+0x9c/0xd0
[    0.550018]  [<ffffffff81124f4e>] __perf_event_overflow+0x8e/0x220
[    0.550018]  [<ffffffff81123d29>] ? perf_event_update_userpage+0x19/0x100
[    0.550018]  [<ffffffff81125a74>] perf_event_overflow+0x14/0x20
[    0.550018]  [<ffffffff81021749>] x86_pmu_handle_irq+0x139/0x180
[    0.550018]  [<ffffffff8164ae5d>] perf_event_nmi_handler+0x1d/0x20
[    0.550018]  [<ffffffff8164a629>] nmi_handle.isra.0+0x59/0x90
[    0.550018]  [<ffffffff8164a730>] do_nmi+0xd0/0x310
[    0.550018]  [<ffffffff81649c81>] end_repeat_nmi+0x1e/0x2e
[    0.550018]  [<ffffffff812f1bd2>] ? delay_tsc+0x42/0x80
[    0.550018]  [<ffffffff812f1bd2>] ? delay_tsc+0x42/0x80
[    0.550018]  [<ffffffff812f1bd2>] ? delay_tsc+0x42/0x80
[    0.550018]  <<EOE>>
[    0.550018]  [<ffffffff812f1b28>] __const_udelay+0x28/0x30
[    0.550018]  [<ffffffff8149e959>] __i8042_command.part.1+0xc9/0x1f0
[    0.550018]  [<ffffffff8149eacd>] i8042_command+0x4d/0x80
[    0.550018]  [<ffffffff81d543f4>] i8042_toggle_aux+0x5c/0x68
[    0.550018]  [<ffffffff81d545e3>] i8042_probe+0x1e3/0x642
[    0.550018]  [<ffffffff813dd8fc>] platform_drv_probe+0x3c/0x70
[    0.550018]  [<ffffffff813db03a>] ? driver_sysfs_add+0x7a/0xb0
[    0.550018]  [<ffffffff813db6e7>] driver_probe_device+0x87/0x390
[    0.550018]  [<ffffffff813dbac3>] __driver_attach+0x93/0xa0
[    0.550018]  [<ffffffff813dba30>] ? __device_attach+0x40/0x40
[    0.550018]  [<ffffffff813d96d3>] bus_for_each_dev+0x63/0xa0
[    0.550018]  [<ffffffff813db15e>] driver_attach+0x1e/0x20
[    0.550018]  [<ffffffff813dacf8>] bus_add_driver+0x1e8/0x2a0
[    0.550018]  [<ffffffff813dc101>] driver_register+0x71/0x150
[    0.550018]  [<ffffffff813dd716>] platform_driver_register+0x46/0x50
[    0.550018]  [<ffffffff813dd7dd>] platform_driver_probe+0x1d/0x90
[    0.550018]  [<ffffffff813ddc41>] platform_create_bundle+0xb1/0xd0
[    0.550018]  [<ffffffff81d54400>] ? i8042_toggle_aux+0x68/0x68
[    0.550018]  [<ffffffff81d54a42>] ? i8042_probe+0x642/0x642
[    0.550018]  [<ffffffff81d54e0a>] i8042_init+0x3c8/0x3e8
[    0.550018]  [<ffffffff8149acbd>] ? usb_serial_generic_register+0x4d/0x50
[    0.550018]  [<ffffffff810020e2>] do_one_initcall+0xe2/0x190
[    0.550018]  [<ffffffff81d0c05f>] kernel_init_freeable+0x177/0x1fa
[    0.550018]  [<ffffffff81d0b87f>] ? do_early_param+0x88/0x88
[    0.550018]  [<ffffffff8162d4c0>] ? rest_init+0x80/0x80
[    0.550018]  [<ffffffff8162d4ce>] kernel_init+0xe/0x190
[    0.550018]  [<ffffffff8165186c>] ret_from_fork+0x7c/0xb0
[    0.550018]  [<ffffffff8162d4c0>] ? rest_init+0x80/0x80
[    0.550036]  0000000000000000 ffff88007bc06ef8 ffff88007bc06d08 ffffffff8105c27c
[    0.550036] Call Trace:
[    0.550018] ---[ end trace 70436dce1857d92b ]---
[    0.550036]  <NMI>  [<ffffffff81643306>] dump_stack+0x19/0x1b
[    0.550036]  [<ffffffff8105c211>] warn_slowpath_common+0x61/0x80
[    0.550036]  [<ffffffff8105c27c>] warn_slowpath_fmt+0x4c/0x50
[    0.550036]  [<ffffffff810e8200>] ? watchdog_enable+0x1e0/0x1e0
[    0.550036]  [<ffffffff810e829c>] watchdog_overflow_callback+0x9c/0xd0
[    0.550036]  [<ffffffff81124f4e>] __perf_event_overflow+0x8e/0x220
[    0.550036]  [<ffffffff81123d29>] ? perf_event_update_userpage+0x19/0x100
[    0.550036]  [<ffffffff81125a74>] perf_event_overflow+0x14/0x20
[    0.550036]  [<ffffffff81021749>] x86_pmu_handle_irq+0x139/0x180
[    0.550036]  [<ffffffff8164ae5d>] perf_event_nmi_handler+0x1d/0x20
[    0.550036]  [<ffffffff8164a629>] nmi_handle.isra.0+0x59/0x90
[    0.550036]  [<ffffffff8164a730>] do_nmi+0xd0/0x310
[    0.550036]  [<ffffffff81649c81>] end_repeat_nmi+0x1e/0x2e
[    0.550036]  [<ffffffff81041046>] ? native_safe_halt+0x6/0x10
[    0.550036]  [<ffffffff81041046>] ? native_safe_halt+0x6/0x10
[    0.550036]  [<ffffffff81041046>] ? native_safe_halt+0x6/0x10
[    0.550036]  <<EOE>>  [<ffffffff8101955f>] default_idle+0x1f/0xc0
[    0.550036]  [<ffffffff8101963f>] amd_e400_idle+0x3f/0x100
[    0.550036]  [<ffffffff81019e36>] arch_cpu_idle+0x26/0x30
[    0.550036]  [<ffffffff810aa3be>] cpu_startup_entry+0xce/0x280
[    0.550036]  [<ffffffff8162d4b7>] rest_init+0x77/0x80
[    0.550036]  [<ffffffff81d0bedc>] start_kernel+0x40a/0x416
[    0.550036]  [<ffffffff81d0b8db>] ? repair_env_string+0x5c/0x5c
[    0.550036]  [<ffffffff81d0b120>] ? early_idt_handlers+0x120/0x120
[    0.550036]  [<ffffffff81d0b5da>] x86_64_start_reservations+0x2a/0x2c
[    0.550036]  [<ffffffff81d0b6cf>] x86_64_start_kernel+0xf3/0x100
[    0.550036] ---[ end trace 70436dce1857d92c ]---
[    2.413730] serio: i8042 KBD port at 0x60,0x64 irq 1
[    2.413737] serio: i8042 AUX port at 0x60,0x64 irq 12
[    2.413884] mousedev: PS/2 mouse device common for all mice
Comment 1 Justin M. Forbes 2014-01-03 17:11:04 EST
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 19 kernel bugs.

Fedora 19 has now been rebased to 3.12.6-200.fc19.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 20, and are still experiencing this issue, please change the version to Fedora 20.

If you experience different issues, please open a new bug report for those.
Comment 2 Justin M. Forbes 2014-03-10 10:44:11 EDT
*********** MASS BUG UPDATE **************

This bug has been in a needinfo state for more than 1 month and is being closed with insufficient data due to inactivity. If this is still an issue with Fedora 19, please feel free to reopen the bug and provide the additional information requested.

Note You need to log in before you can comment on or make changes to this bug.